Subject: [Roll] Comments/Questions for draft-ietf-roll-dao-projection

From: "Huimin She (hushe)" <[email-masked]>
Date: Wed, 11 Nov 2020 09:47:11 +0000

Hi all,

I would like to propose a few comments/questions for the P-DAO draft.

  1.  Lifetime unit: ReqLifetime, Track lifetime, and Segment Lifetime are defined as 8 bits. And their lifetime Unit is obtained from the DODAG configuration option.
It will lead to inflexibility as all tracks in the PAN use the same lifetime unit. We propose to define lifetime unit separately for each track ( for example adding a 2-bit flag to indicate second, minute, hour, day). Details can be discussed later.

  1.  Now the TrackID has the same meaning as Local RplInstanceID. How does a node judge whether the received message is a P-DAO message or Local RPL instance DAO message?

Is it possible to define a flag in the P-DAO message?

  1.  The P-DAO track/segment is single-directional. I suggest to add the possibility for creating bi-directional segments/tracks. We can add a flag in the PDR message to indicate the requested track is single-directional or bi-directional.

  1.  I suggest to add a flow of message exchanges for “PDR, PDR-ACK, P-DAO, P-DAO ACK” in the draft.

Thank you.

Best regards,
Huimin